Как обновить python-scipy до более чем 0.7.0?

7

Как я могу перейти на более высокий уровень scipy (скажем 0.8.0) с минимальным количеством аддитивной зависимости?     

задан DrSAR 15.04.2011 в 04:46
источник

4 ответа

5

Я немного вырыл (совсем немного). Первоначально я пытался установить enthoughts python ( EPD 7.0 ), все это выглядит красиво и самодостаточно. Как ни странно, одна из вещей, которые мне нужно было запустить ( spyder , проверьте это, блестящую IDE, если вы играете вокруг с питоном в естественных науках) будет segfault. Я не смог найти проблему (пока), поэтому мне пришлось двигаться дальше.

Затем я попробовал то, что должен был сделать в первую очередь, а именно, выбор новых пакетов debian - оказывается, зависимости не так страшны, как я думал: установленный natty numpy и ответ дан DrSAR 17.04.2011 в 23:27

источник
9
sudo apt-get install libatlas-base-dev gfortran python-pip

затем

sudo pip install scipy

или, если у вас уже установлена ​​другая версия scipy

sudo pip install --upgrade scipy
    
ответ дан Jeff 08.04.2012 в 02:26
источник
1

Как найдено ЗДЕСЬ :

sudo apt-get install python-pip
sudo pip install scipy
    
ответ дан ryanjdillon 29.01.2013 в 14:17
источник
0
  sudo easy_install scipy

или sudo easy_install3 scipy

Вам может потребоваться установить python-setuptools или python3-setuptools .

    
ответ дан belacqua 15.04.2011 в 04:57
источник

Ознакомьтесь с другими вопросами по меткам